This document lists the events and parameters for
Talk Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Talk Settings


Note that this page also contains events for Google Hangouts, as well as the previous Google Chat product.
Events of this type are returned with `type=CHAT_SETTINGS`.

### A Google Meet interoperability gateway was created.

Event details Event name `MEET_INTEROP_CREATE_GATEWAY` Parameters `GATEWAY_NAME` `string`


Gateway name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=MEET_INTEROP_CREATE_GATEWAY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A Hangouts Meet interoperability gateway was created`

### A Google Meet interoperability gateway was deleted.

Event details Event name `MEET_INTEROP_DELETE_GATEWAY` Parameters `GATEWAY_NAME` `string`


Gateway name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=MEET_INTEROP_DELETE_GATEWAY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A Hangouts Meet interoperability gateway was deleted`

### A Google Meet interoperability gateway was modified.

Event details Event name `MEET_INTEROP_MODIFY_GATEWAY` Parameters `GATEWAY_NAME` `string`


Gateway name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=MEET_INTEROP_MODIFY_GATEWAY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A Hangouts Meet interoperability gateway was modified`

### Hangouts Setting Change

Event details Event name `CHANGE_CHAT_SETTING` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`GROUP_EMAIL` `string`


The group's primary email address.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_CHAT_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{SETTING_NAME} for talk service for your organization changed from {OLD_VALUE} to {NEW_VALUE}`